## Makefile.am for ogg/vorbis file meta info plugin

# set the include path for X, qt and KDE
INCLUDES         = $(all_includes)

# these are the headers for your project
noinst_HEADERS   = tdefile_ogg.h

kde_module_LTLIBRARIES = tdefile_ogg.la

tdefile_ogg_la_SOURCES = tdefile_ogg.cpp vcedit.c
tdefile_ogg_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor -module $(KDE_PLUGIN)
tdefile_ogg_la_LIBADD = $(LIB_TDEIO) -logg -lvorbis -lvorbisfile

# let automoc handle all of the meta source files (moc)
METASOURCES = AUTO

messages: rc.cpp
	$(XGETTEXT) tdefile_ogg.cpp -o $(podir)/tdefile_ogg.pot

services_DATA = tdefile_ogg.desktop
servicesdir = $(kde_servicesdir)
